Bug 1119075 - Review Request: itop-itsm - Simple, web based IT Service Management tool
Summary: Review Request: itop-itsm - Simple, web based IT Service Management tool
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1119446
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 19:49 UTC by Igor Gnatenko
Modified: 2016-02-29 15:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-29 15:00:21 UTC
gwync: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2014-07-13 19:49:03 UTC
Spec URL: http://fedorapeople.org/cgit/ignatenkobrain/public_git/itop-itsm.git/plain/itop-itsm.spec
SRPM URL: http://ignatenkobrain.fedorapeople.org/for-review/itop-itsm-2.0.3-0.1.beta.fc22.src.rpm
Description:
Simple, web based IT Service Management tool.
Features:
* Fully configurable CMDB
* HelpDesk and Incident Management
* Service and Contract Management
* Change Management
* Configuration Management
* Automatic SLA management
* Automatic impact analysis
* CSV import tool for all data
* Consistency audit to check data quality
* Data synchronization (data federation)
Fedora Account System Username: ignatenkobrain

Comment 1 Gwyn Ciesla 2014-07-14 13:14:22 UTC
Build error. . 

chmod: cannot access '/etc/httpd//conf.d/itop-itsm.conf': No such file or directory

- rpmlint checks return:

itop-itsm.noarch: W: non-conffile-in-etc /etc/httpd/conf.d/itop-itsm.conf
itop-itsm.noarch: W: non-conffile-in-etc /etc/cron.d/itop-itsm
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-virtualization-mgmt/en.dict.itop-virtualization-mgmt.php
itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-endusers-devices/module.itop-endusers-devices.php
itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-endusers-devices/en.dict.itop-endusers-devices.php
itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-storage-mgmt/module.itop-storage-mgmt.php
itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-storage-mgmt/en.dict.itop-storage-mgmt.php
itop-itsm.noarch: E: incorrect-fsf-address /usr/share/itop-itsm/datamodels/2.x/itop-virtualization-mgmt/module.itop-virtualization-mgmt.php
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

itop-itsm.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/itop-itsm/README
itop-itsm.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/itop-itsm/LICENSE
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

itop-itsm.noarch: W: log-files-without-logrotate /var/log/itop-itsm
This package contains files in /var/log/ without adding logrotate
configuration for them.

These should all be fixed.


- package meets naming guidelines
- package meets packaging guidelines
- license ( AGPLv3+, MIT, LGPLv3) OK, text in %doc, matches source
- spec file legible, in am. english

# jQuery and it's modules has MIT and now it's not available for Fedora

What is not available for Fedora?  Not clear.

- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Bundles swiftmailer which should be packaged on it's own, reviewed, and then this package should be patched to use it.

# Fedora has 5.0.2
# After updating Fedora to 5.2.1 I will prepare patches and drop bundle
Provides:   bundled(php-swift-Swift) = 4.1.2

Was this approved by FPC?  If so add link to Trac in spec.

Comment 2 Igor Gnatenko 2014-07-14 18:59:44 UTC
(In reply to Jon Ciesla from comment #1)
> Build error. . 
> 
> chmod: cannot access '/etc/httpd//conf.d/itop-itsm.conf': No such file or
> directory
https://sourceforge.net/p/itop/tickets/961/
Patch there.
> 
> - rpmlint checks return:
> 
> itop-itsm.noarch: W: non-conffile-in-etc /etc/httpd/conf.d/itop-itsm.conf
> itop-itsm.noarch: W: non-conffile-in-etc /etc/cron.d/itop-itsm
> A non-executable file in your package is being installed in /etc, but is not
> a
> configuration file. All non-executable files in /etc should be configuration
> files. Mark the file as %config in the spec file.
fixed.

> 
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-virtualization-mgmt/en.dict.itop-
> virtualization-mgmt.php
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-endusers-devices/module.itop-
> endusers-devices.php
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-endusers-devices/en.dict.itop-
> endusers-devices.php
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-storage-mgmt/module.itop-storage-
> mgmt.php
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-storage-mgmt/en.dict.itop-storage-
> mgmt.php
> itop-itsm.noarch: E: incorrect-fsf-address
> /usr/share/itop-itsm/datamodels/2.x/itop-virtualization-mgmt/module.itop-
> virtualization-mgmt.php
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license
> file,
> possibly the entire file with a new copy available from the FSF.
informed.
https://sourceforge.net/p/itop/tickets/959/
> 
> itop-itsm.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/itop-itsm/README
> itop-itsm.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/itop-itsm/LICENSE
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.
fixed and informed upstream.
https://sourceforge.net/p/itop/tickets/960/
> 
> itop-itsm.noarch: W: log-files-without-logrotate /var/log/itop-itsm
> This package contains files in /var/log/ without adding logrotate
> configuration for them.
https://sourceforge.net/p/itop/tickets/962/
patch there.
> 
> These should all be fixed.
> 
> 
> - package meets naming guidelines
> - package meets packaging guidelines
> - license ( AGPLv3+, MIT, LGPLv3) OK, text in %doc, matches source
> - spec file legible, in am. english
> 
> # jQuery and it's modules has MIT and now it's not available for Fedora
> 
> What is not available for Fedora?  Not clear.
http://pkgs.fedoraproject.org/cgit/?q=jquery
I can't find js-jquery package. It should be added by F21 Change.
review for js-jquery here. bug 1078368
> 
> - source matches upstream
> - package compiles on devel (x86)
> - no missing BR
> - no unnecessary BR
> - no locales
> - not relocatable
> - owns all directories that it creates
> - no duplicate files
> - permissions ok
> - %clean ok
> - macro use consistent
> - code, not content
> - no need for -docs
> - nothing in %doc affects runtime
> - no need for .desktop file 
> 
> Bundles swiftmailer which should be packaged on it's own, reviewed, and then
> this package should be patched to use it.
we have old swiftmailer in repos, so I'm working to update it.
> 
> # Fedora has 5.0.2
> # After updating Fedora to 5.2.1 I will prepare patches and drop bundle
> Provides:   bundled(php-swift-Swift) = 4.1.2
> 
> Was this approved by FPC?  If so add link to Trac in spec.
No, not yet. I wanted first to fix other issues. I will fix this in this week.

Comment 4 Gwyn Ciesla 2014-07-15 18:24:35 UTC
Ok, let me know when that's done.

Comment 6 Gwyn Ciesla 2014-07-21 14:57:55 UTC
itop-itsm.noarch: W: conffile-without-noreplace-flag /etc/httpd/conf.d/itop-itsm.conf
itop-itsm.noarch: W: conffile-without-noreplace-flag /etc/cron.d/itop-itsm
itop-itsm.noarch: W: conffile-without-noreplace-flag /etc/logrotate.d/itop-itsm
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

And swiftmailer is still bundled.

Comment 7 Gwyn Ciesla 2015-09-20 21:18:28 UTC
Any updates?

Comment 8 Gwyn Ciesla 2016-02-29 15:00:21 UTC
Please reopen if still of interest.


Note You need to log in before you can comment on or make changes to this bug.